Restore Label

Restore a previously deleted annotation label.

Restore Label

Restore an annotation label that was previously soft-deleted. The label becomes available again for new annotations.

POST https://api.futureagi.com/model-hub/annotations-labels/{id}/restore/
Bearer
          Click "Try It" to send a request
        

Authentication

All requests require authentication via API keys:

HeaderDescription
X-Api-KeyYour API key
X-Secret-KeyYour secret key

Path Parameters

id string Required

UUID of the previously deleted annotation label to restore.

Response

Returns the restored Label object:

id string
UUID of the label.
name string
Display name.
type string
Label type.
description string
Description.
settings object
Type-specific settings.
created_at string
ISO 8601 timestamp of creation.
updated_at string
ISO 8601 timestamp of last update.

Code Examples

import requests

label_id = "your-label-uuid"
url = f"https://api.futureagi.com/model-hub/annotations-labels/{label_id}/restore/"
headers = {
    "X-Api-Key": "YOUR_API_KEY",
    "X-Secret-Key": "YOUR_SECRET_KEY",
}

response = requests.post(url, headers=headers)
label = response.json()

print(f"Restored label: {label['name']} ({label['type']})")
const labelId = "your-label-uuid";

const response = await fetch(
  `https://api.futureagi.com/model-hub/annotations-labels/${labelId}/restore/`,
  {
    method: "POST",
    headers: {
      "X-Api-Key": "YOUR_API_KEY",
      "X-Secret-Key": "YOUR_SECRET_KEY",
    },
  }
);

const label = await response.json();
console.log(`Restored label: ${label.name} (${label.type})`);
curl -X POST "https://api.futureagi.com/model-hub/annotations-labels/your-label-uuid/restore/" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "X-Secret-Key: YOUR_SECRET_KEY"
Was this page helpful?

Questions & Discussion